OpenNMS API 1.2.9

## org.opennms.install
Class Constraint

    java.lang.Object
      org.opennms.install.Constraint

public class Constraint
extends java.lang.Object

Field Summary
`static int` `FOREIGN_KEY`
`private java.lang.String` `m_column`
`private java.lang.String` `m_fcolumn`
`private java.lang.String` `m_fdeltype`
`private java.lang.String` `m_ftable`
`private java.lang.String` `m_name`
`private int` `m_type`
`static int` `PRIMARY_KEY`

Constructor Summary
`Constraint(java.lang.String constraint)`
`Constraint(java.lang.String name, java.lang.String column)`
`Constraint(java.lang.String name, java.lang.String column, java.lang.String ftable, java.lang.String fcolumn, java.lang.String fdeltype)`

Method Summary
`boolean` `equals(java.lang.Object other_o)`
`boolean` `equals(java.lang.Object other_o, boolean ignoreFdelType)`
`java.lang.String` `getColumn()`
`java.lang.String` `getForeignColumn()`
`java.lang.String` `getForeignDelType()`
`java.lang.String` `getForeignTable()`
`java.lang.String` `getName()`
`int` `getType()`
`int` `hashCode()`
`void` `parse(java.lang.String constraint)`
`void` `setColumn(java.lang.String column)`
`void` `setForeignColumn(java.lang.String fcolumn)`
`void` `setForeignDelType(java.lang.String fdeltype)`
`void` `setForeignTable(java.lang.String ftable)`
`void` `setName(java.lang.String name)`
`void` `setType(int type)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### PRIMARY_KEY

    public static final int PRIMARY_KEY

See Also:
  Constant Field Values

### FOREIGN_KEY

    public static final int FOREIGN_KEY

See Also:
  Constant Field Values

### m_name

    private java.lang.String m_name

### m_type

    private int m_type

### m_column

    private java.lang.String m_column

### m_ftable

    private java.lang.String m_ftable

### m_fcolumn

    private java.lang.String m_fcolumn

### m_fdeltype

    private java.lang.String m_fdeltype

Constructor Detail

### Constraint

    public Constraint(java.lang.String constraint)
               throws java.lang.Exception

### Constraint

    public Constraint(java.lang.String name,
                      java.lang.String column)

### Constraint

    public Constraint(java.lang.String name,
                      java.lang.String column,
                      java.lang.String ftable,
                      java.lang.String fcolumn,
                      java.lang.String fdeltype)
               throws java.lang.Exception

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getType

    public int getType()

### setType

    public void setType(int type)

### getColumn

    public java.lang.String getColumn()

### setColumn

    public void setColumn(java.lang.String column)

### getForeignTable

    public java.lang.String getForeignTable()

### setForeignTable

    public void setForeignTable(java.lang.String ftable)

### getForeignColumn

    public java.lang.String getForeignColumn()

### setForeignColumn

    public void setForeignColumn(java.lang.String fcolumn)

### getForeignDelType

    public java.lang.String getForeignDelType()

### setForeignDelType

    public void setForeignDelType(java.lang.String fdeltype)
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### toString

    public java.lang.String toString()

### parse

    public void parse(java.lang.String constraint)
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### equals

    public boolean equals(java.lang.Object other_o)

### equals

    public boolean equals(java.lang.Object other_o,
                          boolean ignoreFdelType)

### hashCode

    public int hashCode()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.